summaryrefslogtreecommitdiffstats
path: root/help
diff options
context:
space:
mode:
authordiego <diego@b3059339-0415-0410-9bf9-f77b7e298cf2>2009-02-04 19:17:03 +0000
committerdiego <diego@b3059339-0415-0410-9bf9-f77b7e298cf2>2009-02-04 19:17:03 +0000
commit086b1c8a15f06ba39d1934dd09c31278bec728a0 (patch)
tree83c0b58f83330024d2e8332ecb418f6133d395a4 /help
parentd00d9a57f8ff0e64312b4d45d6c86bc886a5163d (diff)
downloadmpv-086b1c8a15f06ba39d1934dd09c31278bec728a0.tar.bz2
mpv-086b1c8a15f06ba39d1934dd09c31278bec728a0.tar.xz
Print an error message when given insufficient parameters.
git-svn-id: svn://svn.mplayerhq.hu/mplayer/trunk@28467 b3059339-0415-0410-9bf9-f77b7e298cf2
Diffstat (limited to 'help')
-rwxr-xr-xhelp/help_create.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/help/help_create.sh b/help/help_create.sh
index ccb756d6b9..87a0ade4ab 100755
--- a/help/help_create.sh
+++ b/help/help_create.sh
@@ -3,6 +3,12 @@
# Missing messages are filled in from the master message file and, if
# requested, character set conversion is performed.
+if test -z $2 ; then
+ echo "Error: missing parameters"
+ echo "Usage: $0 <messages file> <character set>"
+ exit 1
+fi
+
MASTER=help/help_mp-en.h
TARGET=help_mp.h